require('Furry/fur');

FurryModApi = {};

FurryModApi.v1 = {};

FurryModApi.v1.createCustomSpeciesGroup = function(name, display)
    local group = {};
    group.name = name;
    group.display = display;
    group.species = {};
    return group;
end

FurryModApi.v1.addSpeciesToGroup = function(group, name, display, maleClothing, femaleClothing)
    local species = {};
    species.name = name;
    species.display = display;
    species.maleClothing = maleClothing;
    species.femaleClothing = femaleClothing;
    table.insert(group.species, species);
    return group;
end

FurryModApi.v1.registerCustomSpeciesGroup = function(groupName, customSpeciesGroup)
    local existing = FurManager.getSpeciesGroup(groupName);
    if existing then
        print("API attempted to override species group: ", groupName);
        return false;
    end
    FurManager.registerSpeciesGroup(groupName, customSpeciesGroup);
    return true;
end