FurTransferOverride = {};

FurTransferOverride.patched = false;

FurTransferOverride.onGameStart = function()
    if FurTransferOverride.patched then return end;

    local originalTransferItemMethod = ISInventoryTransferAction.transferItem;

    ISInventoryTransferAction.transferItem = function(self, item)
        print('Override ISInventoryTransferAction:transferItem');
        if item:hasTag("Fur") then
            print("Cannot transfer fur.");
            return
        end
        if item:hasTag("DeceasedFur") then
            print("Cannot transfer zombie fur.");
            return
        end

        return originalTransferItemMethod(self, item);
    end

    FurTransferOverride.patched = true;
end

Events.OnGameStart.Add(FurTransferOverride.onGameStart);
